<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		<meta http-equiv="X-UA-Compatible" content="IE=8;FF=3;OtherUA=4" />
		<title>Bedlam Area Builder v1.0 (release)</title>
		<link href="css/custom-theme/jquery-ui-1.8.12.custom.css" rel="stylesheet" />
		<!--<link href="css/dark-hive/jquery-ui-1.8.16.custom.css" rel="stylesheet" />-->
		<link href="css/custom-theme/jquery.contextMenu.css" rel="stylesheet" />
		<link href="css/custom-theme/ui.selectmenu.css" rel="stylesheet" />
		<link href="css/custom-theme/jquery.multiselect.css" rel="stylesheet" />
		<link href="css/custom-theme/default.css" rel="stylesheet" />
		<script src="js/jquery-1.7.min.js"></script>
		<script src="js/jquery-ui-1.8.16.custom.min.js"></script>
		<script src="js/ui.selectmenu.js"></script>
		<script src="js/jquery.contextMenu.js?v1"></script>
		<script src="js/jquery.multiselect.min.js"></script>
		<script src="js/jquery.tooltip.min.js"></script>
		<script src="js/areamaker.js?v25"></script>
	</head>

<body>

	<div id="main">

		<div id="select-area-container" class="left"></div>
		
		<span class="dd-label ui-tooltip" title="view rooms as they are connected, or in a flat list">
			&nbsp;&nbsp;Room view:&nbsp;
			</span>
			<span class="left">
				<select id="map-view" class="dropdown" style="width: 80px">
					<option value="layout">Layout</option>
					<option value="list">List</option>
				</select>
			</span>
			
		<div class="right">
			
			<button class="ui-save ui-tooltip" onclick="save(null, 'rmozs')" title="save all area changes to database">save all</button>
			<button class="ui-revert ui-tooltip ui-state-disabled" disabled="disabled" onclick="loadZone()" title="revert zone to last saved state">revert</button>
			
				<button class="hidden ui-sync ui-tooltip" onclick="zoneSync()" title="copy from production">prod->dev</button>
				<button class="hidden ui-publish ui-tooltip" onclick="zonePublish()" title="publish to production">dev->prod</button>
				
			<button class="ui-logout ui-state-disabled" disabled="disabled" onclick="logout()">logout</button>
			
		</div>

	<div class="sep"></div>

	<div class="left gridbox">
		<div class="left hidden" id="map-wrapper">
			<ul id="map"></ul>
			<div class="sep"></div>

		</div>

		<div class="left hidden" id="mob-wrapper">
			<ul id="mob-icons"></ul>
		</div>
		
		<div class="left hidden" id="obj-wrapper">
			<ul id="obj-icons"></ul>
		</div>
	</div>
	
	<div class="right" id="data">
		<ul>
			<li><a href="#data_rooms">Rooms</a></li>
			<li><a href="#data_mobs">Mobiles</a></li>
			<li><a href="#data_objs">Objects</a></li>
			<li><a href="#data_area">Area Info</a></li>
		</ul>
		
		<div id="data_rooms">
			<input id="room-id" type="text" disabled="disabled" style="width: 50px">&nbsp;<input id="room-name" type="text" style="width: 300px">
			&nbsp;&nbsp;&nbsp;<button id="room-save" class="ui-save ui-tooltip" onclick="save(null, 'rz')" title="save all room changes to database">save</button>
			<div class="sep"></div>
			<span class="left">
				Room Flags: 
				<select id="room-flags" class="multiselect" multiple="multiple" style="width: 140px" title="room flags">
					<option value="0">Dark</option>
					<option value="1">Death</option>
					<option value="2">No-Mob</option>
					<option value="3">Indoors</option>
					<option value="4">Peaceful</option>
					<option value="5">Soundproof</option>
					<option value="6">No-Track</option>
					<option value="7">No-Magic</option>
					<option value="8">Tunnel</option>
					<option value="9">Private</option>
					<option value="10">Godroom</option>
					<option value="18">No-Teleport</option>
					<option value="19">Player Kill</option>
				</select>
			</span>
			<span class="left" style="position: relative; top: 4px">
				&nbsp;&nbsp;Sector Type:&nbsp;
			</span>
			<span class="left" style="position: relative; top: -3px">
			<select id="room-sector" class="dropdown" style="width: 130px">
				<option value="0">Inside</option>
				<option value="1">City</option>
				<option value="2">Field</option>
				<option value="3">Forest</option>
				<option value="4">Hills</option>
				<option value="5">Mountain</option>
				<option value="6">Water-Swim</option>
				<option value="7">Water-Noswim</option>
				<option value="8">Underwater</option>
				<option value="9">Flying</option>
			</select>
			</span>
			<div class="sep"></div>
			<textarea id="room-description" cols="80" rows="10" style="font-size: 11px"></textarea>
			<div class="sep"></div>
			<b>Exits:</b>
			<div class="sep"></div>
			<div id="exit-north">
				<span class="hidden left ui-icon ui-icon-circle-close delete-exit" id="del-north"></span>
				<span class="hidden left ui-icon ui-icon-link link-exit" id="link-north"></span>
				&nbsp;North:&nbsp;<input id="exit-north-toroom" class="freestyle" disabled="disabled" type="text" style="width: 50px">&nbsp;
				<select id="exit-north-info" class="multiselect" style="width: 140px" title="exit options">
					<option value="0">Is Door</option>
					<option value="1">Closed</option>
					<option value="2">Locked</option>
					<option value="3">Pickproof</option>
				</select>&nbsp;
				Name: <input id="exit-north-name" type="text" style="width: 70px">&nbsp;
				Key: <input id="exit-north-key" type="text" style="width: 40px">
			</div>
			<div class="sep"></div>
			<div id="exit-south">
				<span class="hidden left ui-icon ui-icon-circle-close delete-exit" id="del-south"></span>
				<span class="hidden left ui-icon ui-icon-link link-exit" id="link-south"></span>
				&nbsp;South:&nbsp;<input id="exit-south-toroom" class="freestyle" disabled="disabled" type="text" style="width: 50px">&nbsp;
				<select id="exit-south-info" class="multiselect" style="width: 140px" title="exit options">
					<option value="0">Is Door</option>
					<option value="1">Closed</option>
					<option value="2">Locked</option>
					<option value="3">Pickproof</option>
				</select>&nbsp;
				Name: <input id="exit-south-name" type="text" style="width: 70px">&nbsp;
				Key: <input id="exit-south-key" type="text" style="width: 40px">
			</div>
			<div class="sep"></div>
			<div id="exit-west">
				<span class="hidden left ui-icon ui-icon-circle-close delete-exit" id="del-west"></span>
				<span class="hidden left ui-icon ui-icon-link link-exit" id="link-west"></span>
				&nbsp;West:&nbsp;&nbsp;<input id="exit-west-toroom" class="freestyle" disabled="disabled" type="text" style="width: 50px">&nbsp;
				<select id="exit-west-info" class="multiselect" style="width: 140px">
					<option value="0">Is Door</option>
					<option value="1">Closed</option>
					<option value="2">Locked</option>
					<option value="3">Pickproof</option>
				</select>&nbsp;
				Name: <input id="exit-west-name" type="text" style="width: 70px">&nbsp;
				Key: <input id="exit-west-key" type="text" style="width: 40px">
			</div>
			<div class="sep"></div>
			<div id="exit-east">
				<span class="hidden left ui-icon ui-icon-circle-close delete-exit" id="del-east"></span>
				<span class="hidden left ui-icon ui-icon-link link-exit" id="link-east"></span>
				&nbsp;East:&nbsp;&nbsp;<input id="exit-east-toroom" class="freestyle" disabled="disabled" type="text" style="width: 50px">&nbsp;
				<select id="exit-east-info" class="multiselect" style="width: 140px">
					<option value="0">Is Door</option>
					<option value="1">Closed</option>
					<option value="2">Locked</option>
					<option value="3">Pickproof</option>
				</select>&nbsp;
				Name: <input id="exit-east-name" type="text" style="width: 70px">&nbsp;
				Key: <input id="exit-east-key" type="text" style="width: 40px">
			</div>
			<div class="sep"></div>
			<div id="exit-up">
				<span class="hidden left ui-icon ui-icon-circle-close delete-exit" id="del-up"></span>
				<span class="hidden left ui-icon ui-icon-link link-exit" id="link-up"></span>
				&nbsp;Up:&nbsp;&nbsp;&nbsp;&nbsp;<input id="exit-up-toroom" class="freestyle" disabled="disabled" type="text" style="width: 50px">&nbsp;
				<select id="exit-up-info" class="multiselect" style="width: 140px">
					<option value="0">Is Door</option>
					<option value="1">Closed</option>
					<option value="2">Locked</option>
					<option value="3">Pickproof</option>
				</select>&nbsp;
				Name: <input id="exit-up-name" type="text" style="width: 70px">&nbsp;
				Key: <input id="exit-up-key" type="text" style="width: 40px">
			</div>
			<div class="sep"></div>
			<div id="exit-down">
				<span class="hidden left ui-icon ui-icon-circle-close delete-exit" id="del-down"></span>
				<span class="hidden left ui-icon ui-icon-link link-exit" id="link-down"></span>
				&nbsp;Down:&nbsp;&nbsp;<input id="exit-down-toroom" class="freestyle" disabled="disabled" type="text" style="width: 50px">&nbsp;
				<select id="exit-down-info" class="multiselect" style="width: 140px">
					<option value="0">Is Door</option>
					<option value="1">Closed</option>
					<option value="2">Locked</option>
					<option value="3">Pickproof</option>
				</select>&nbsp;
				Name: <input id="exit-down-name" type="text" style="width: 70px">&nbsp;
				Key: <input id="exit-down-key" type="text" style="width: 40px">
			</div>
			<div class="sep"></div>
			<div id='room-loads'></div>
		</div>
		
		<!--mob tab-->
		<div id="data_mobs">
		
			<input id="mob-id" type="text" disabled="disabled" style="width: 50px">&nbsp;
			<input id="mob-name" type="text" style="width: 240px" title="mob name">&nbsp;
			<input id="mob-keywords" type="text" style="width: 140px" class="ui-tooltip" title="Make sure all nouns in the mob name appear as keywords.">&nbsp;
			<button id="mob-save" class="ui-save ui-tooltip" onclick="save(null, 'm');" title="Save all mob changes to database.">save</button>
			<div class="sep"></div>

			<span class="left">
				<span class="ui-tooltip" title="Enter level 1-60 and use auto-balance option for quick initial setup.">Level: </span><input id="mob-level" type="text" style="width: 22px">&nbsp;
				<span class="ui-tooltip" title="Max is 30k.">Health: </span><input id="mob-health" type="text" style="width: 50px">&nbsp;
				<span class="ui-tooltip" title="Ranges from 100 to -100. Lower is better.">Armor: </span><input id="mob-armor" type="text" style="width: 30px">
			</span>
			<span class="left ui-tooltip" title="Higher hitroll means the NPC will land hits more often.">&nbsp;&nbsp;Hitroll:  <b>-</b>&nbsp;</span><div id="mob-hitroll" style="float: left; width: 110px"></div>&nbsp;<b>+</b>
			
			<div class="sep"></div>
			
			<div id="mob-attacks"></div>
			<div class="sep"></div>
			Exp: <input id="mob-exp" type="text" style="width: 80px">&nbsp;
			Gold: <input id="mob-gold" type="text" style="width: 80px">&nbsp;
			Align: <input id="mob-align" type="text" style="width: 40px">&nbsp;&nbsp;&nbsp;
			<button id="mob-balance" class="ui-idea ui-tooltip" onclick="mobBalance()" title="Suggests key stats based on the level you entered.">auto-balance</button>
			<div class="sep"></div>
			<span class="left">
				Flags:
				<select id="mob-flags" class="multiselect" multiple="multiple" style="width: 140px" title="mob flags">
						<option value="1">Sentinel</option>
						<option value="2">Scavenger</option>
						<option value="4">No-BsCirc</option>
						<option value="5">Aggressive</option>
						<option value="6">Stay-Zone</option>
						<option value="7">Wimpy</option>
						<option value="8">Aggr-Evil</option>
						<option value="9">Aggr-Good</option>
						<option value="10">Aggr-Neutr.</option>
						<option value="11">Memory</option>
						<option value="12">Helper</option>
						<option value="13">No-Charm</option>
						<option value="14">No-Summon</option>
						<option value="15">No-Sleep</option>
						<option value="16">No-Bash</option>
						<option value="17">No-Blind</option>
						<option value="18">Water-Only</option>
						<option value="19">Mountable</option>
						<option value="20">Prog-Always</option>
						<option value="21">No-Tackle</option>
						<option value="22">No-Silence</option>
						<option value="23">No-Poison</option>
						<option value="24">Mort-Invis</option>
				</select>
			</span>
			<span class="left">
				&nbsp;Aff:
				<select id="mob-affects" class="multiselect" multiple="multiple" style="width: 160px" title="mob affects">
						<option value="0">Blind</option>
						<option value="1">Invisible</option>
						<option value="2">Detect Align</option>
						<option value="3">Detect Invis</option>
						<option value="4">Detect Magic</option>
						<option value="5">Sense Life</option>
						<option value="6">Waterwalk</option>
						<option value="7">Sanctuary</option>
						<option value="10">Infra</option>
						<option value="11">Poison</option>
						<option value="12">Protect Evil</option>
						<option value="13">Protect Good</option>
						<option value="14">Sleep</option>
						<option value="15">No-Track</option>
						<option value="16">Fly</option>
						<option value="17">Confusion</option>
						<option value="18">Sneak</option>
						<option value="19">Hide</option>
						<option value="20">Silence</option>
						<option value="22">Disease</option>
						<option value="23">Petrified</option>
						<option value="24">True Seeing</option>
						<option value="26">No-Backstab</option>
				</select>
			</span>
			<span class="dd-label">&nbsp;Sex:</span>
			<span style="padding-left: 6px" class="left" style="position: relative">
				<select id="mob-sex" class="dropdown" style="width: 90px">
					<option value="0">Neutral</option>
					<option value="1">Male</option>
					<option value="2">Female</option>
				</select>
			</span>
			
			<div class="sep"></div>
			In-Room description:
			<input id="mob-short" type="text" style="width: 400px;"></textarea>
			<div class="sep"></div>
			Description:<br><br>
			<textarea id="mob-long" cols="80" rows="10" style="font-size: 11px"></textarea>
			<div class="sep"></div>
			<span class="dd-label ui-tooltip" title="Currently, NPC classes have effect only if the mob is charmed/charmable. Only Rescuer, Helper, and Undead are implemented.">Class:</span>
			<span style="padding-left: 6px" class="left" style="position: relative">
				<select id="mob-class" class="dropdown" style="width: 110px">
					<option value="0">Rescuer</option>
					<option value="1">Undead</option>
					<option value="2">Helper</option>
					<option value="3">Familiar</option>
					<option value="4">Mercenary</option>
					<option value="5">Servant</option>
				</select>
			</span>
			
			<span class="dd-label ui-tooltip" title="Determines how the NPC moves and wherther it's susceptible to certain attacks (e. g. 'turn undead').">&nbsp;Race:</span>
			<span style="padding-left: 6px" class="left" style="position: relative">
				<select id="mob-race" class="dropdown" style="width: 110px">
					<option value="0">Undefined</option>
					<option value="1">Human</option>
					<option value="2">Troll</option>
					<option value="3">Dragon</option>
					<option value="4">Minotaur</option>
					<option value="5">Elf</option>
					<option value="6">Drow Elf</option>
					<option value="7">Dwarf</option>
					<option value="8">Half-Elf</option>
					<option value="9">Kendar</option>
					<option value="10">Reptile</option>
					<option value="11">Pantatheon</option>
					<option value="12">Gnome</option>
					<option value="13">Halfling</option>
					<option value="14">Centaur</option>
					<option value="15">Fish</option>
					<option value="16">Slime</option>
					<option value="17">Bird/Insect</option>
					<option value="18">Undead</option>
					<option value="19">Ghost</option>
					<option value="20">Machine</option>
				</select>
			</span>
			<div class="sep"></div>
			<div id="mob-objects"></div>
			<div class="sep"></div>
			<div id="mob-progs"></div>
			<div id="mob-shop"></div>
			<div class="sep"></div>
		</div><!--end mob tab-->
		
		<div id="data_objs">

			<input id="obj-id" type="text" disabled="disabled" style="width: 50px">&nbsp;
			<input id="obj-name" type="text" style="width: 240px" class="ui-tooltip" title="item name as it appears in the inventory or worn items list">&nbsp;
			<input id="obj-keywords" type="text" style="width: 140px" class="ui-tooltip" title="Make sure all nouns in the item name appear as keywords.">&nbsp;
			<button id="obj-save" class="ui-save ui-tooltip" onclick="save(null, 'o');" title="save all item changes to database">save</button>
			<div class="sep"></div>
			<span class="dd-label">Type:</span>
			<span style="padding-left: 6px" class="left" style="position: relative">
				<select id="obj-type" class="dropdown" style="width: 120px">
					<option value="0">Undefined</option>
					<option value="1">Light</option>
					<option value="2">Scroll</option>
					<option value="3">Wand</option>
					<option value="4">Staff</option>
					<option value="5">Weapon</option>
					<option class="hidden" value="6"></option>
					<option class="hidden" value="7"></option>
					<option value="8">Treasure</option>
					<option value="9">Armor</option>
					<option value="10">Potion</option>
					<option value="11">Worn</option>
					<option value="12">Other</option>
					<option value="13">Trash</option>
					<option class="hidden" value="14"></option>
					<option value="15">Container</option>
					<option value="16">Note</option>
					<option value="17">Drink Cont.</option>
					<option value="18">Key</option>
					<option value="19">Food</option>
					<option value="20">Money</option>
					<option value="21">Pen</option>
					<option value="22">Boat</option>
					<option value="23">Fountain</option>
					<option value="24">Trophy</option>
				</select>
			</span>
			&nbsp;
			<span id="v0-label"></span>
			<span id="v1-label"></span>
			<span id="v2-label"></span>
			<span id="v3-label"></span>
			
			<div class="sep"></div>
			
			<div id="obj-apply">
				<span id="obj-apply-button" style="position: relative; top: -3px; padding-right: 4px" class="left ui-icon ui-icon-triangle-1-e collapsed"></span> <span class="left">Applies:</span><br>
					<div id="obj-apply-form"></div>
			</div>
			
			<div class="sep"></div>
			
			<span class="left" class="ui-tooltip" title="This item can be used in any of the following equipment slots.">
				Wear:
				<select id="obj-worn" class="multiselect" multiple="multiple" style="width: 120px" title="object flags">
						<option value="0">Can Take</option>
						<option value="1">Finger</option>
						<option value="2">Neck</option>
						<option value="3">Body</option>
						<option value="4">Head</option>
						<option value="5">Legs</option>
						<option value="6">Feet</option>
						<option value="7">Hands</option>
						<option value="8">Arms</option>
						<option value="9">Shield</option>
						<option value="10">About</option>
						<option value="11">Waist</option>
						<option value="12">Wrist</option>
						<option value="13">Wield</option>
						<option value="14">Hold</option>
						<option value="15">Face</option>
						<option value="16">Ear</option>
						<option value="17">Eyes</option>
						<option value="18">Ankles</option>
				</select>
			</span>
			
			<span class="left" class="ui-tooltip" title="Item will permanenly affect its wearer with the following buffs/debuffs.">
				&nbsp;Aff:
				<select id="obj-aff" class="multiselect" multiple="multiple" style="width: 140px">
						<option value="0">Blind</option>
						<option value="1">Invisible</option>
						<option value="2">Det. Align</option>
						<option value="3">Det. Invis</option>
						<option value="4">Det. Magic</option>
						<option value="5">Sense Life</option>
						<option value="6">Waterwalk</option>
						<option value="7">Sanctuary</option>
						<option value="9">Curse</option>
						<option value="10">Infra</option>
						<option value="11">Poison</option>
						<option value="12">Prot. Evil</option>
						<option value="13">Prot. Good</option>
						<option value="14">Sleep</option>
						<option value="15">No-Track</option>
						<option value="16">Fly</option>
						<option value="18">Sneak</option>
						<option value="19">Hide</option>
						<option value="20">Silence</option>
						<option value="21">Charm</option>
						<option value="22">Disease</option>
						<option value="23">Petrify</option>
						<option value="24">True Seeing</option>
						<option value="25">Berzerk</option>
						<option value="26">No-Backstab</option>
				</select>
			</span>
			
			<span class="left" class="ui-tooltip" title="Item will have the following properties and restrictions.">
				&nbsp;Extra:
				<select id="obj-extra" class="multiselect" multiple="multiple" style="width: 130px" title="mob affects">
						<option value="0">Glowing</option>
						<option value="1">Humming</option>
						<option value="2">No-Rent</option>
						<option value="3">No-Donate</option>
						<option value="4">No-Invis</option>
						<option value="5">Invis</option>
						<option value="6">Magic</option>
						<option value="7">No-Drop</option>
						<option value="9">Anti-Good</option>
						<option value="10">Anti-Evil</option>
						<option value="11">Anti-Neut.</option>
						<option value="12">No-Mage</option>
						<option value="13">No-Cleric</option>
						<option value="14">No-Thief</option>
						<option value="15">No-Warrior</option>
						<option value="15">No-Sell</option>
						<option value="18">No-Auction</option>
						<option value="20">Artifact</option>
						<option value="21">No-Give</option>
				</select>
			</span>
			
			<div class="sep"></div>

			<span class="left">
				<span class="ui-tooltip" title="Owner will receive percent of value if item is sold to a shop.">Value: </span><input id="obj-value" type="text" style="width: 50px">&nbsp;
				<span class="ui-tooltip" title="Owner will be charged this much rent to leave the game with this item.">Rent cost: </span><input id="obj-cost" type="text" style="width: 40px">&nbsp;
				<span class="ui-tooltip" title="Weight while carried. Weapon weight affects attack speed.">Weight: </span><input id="obj-weight" type="text" style="width: 24px">&nbsp;
			</span>
			<span class="dd-label">&nbsp;Material:&nbsp;</span>
			<select class="dropdown left" id="obj-material" style="width: 100px"></select>
			
			<div class="sep"></div>

			In-Room Description:
			<input id="obj-short" type="text" style="width: 400px;"></textarea>

			<div class="sep"></div>
			
			<div id="obj-desc"></div>
			
		</div><!--end obj tab-->
		
		<div id="data_area">
			<input id="area-id" type="text" disabled="disabled" style="width: 40px">&nbsp;<input id="area-name" type="text" style="width: 330px">
			<button id="area-save" class="ui-save ui-tooltip" onclick="save(z.data, 'ZoneData');" title="save area info to database">save info</button>
			<div class="sep"></div>
			Lifespan: <input id="area-lifespan" type="text" style="width: 30px">  
			Area Flags: 
			<select id="area-flags" class="multiselect" multiple="multiple" style="width: 140px">
				<option value="0">Restricted</option>
				<option value="1">No Teleport</option>
			</select>
			<br>
			<div class="sep"></div>
		</div>
		
	</div>
	
	<div class="sep"></div>
	
		<div>
			<ul id="rContext" class="contextMenu">
				<li class="copy" title="copy room name, description, flags, sector type"><a href="#copy">Copy</a></li>
				<li class="paste" ><a href="#paste">Paste</a></li>
				<li class="reset"><a href="#reset">Reset</a></li>
				<li class="cut"><a href="#cut">Cut</a></li>
				<li class="delete"><a href="#delete">Delete</a></li>
				<li class="up"><a href="#up"><span class='up-text'>Up</span></a></li>
				<li class="down"><a href="#down"><span class='down-text'>Down</span></a></li>
				<li class="load"><a href="#load">Load...</li>
			</ul>
		</div>
				
		<div>
			<ul id="rContextClear" class="contextMenu">
				<li class="paste"><a href="#clone">Paste (Clone)</a></li>
				<li class="paste"><a href="#paste">Paste (Move)</a></li>
			</ul>
		</div>

		<div>
			<ul id="mContext" class="contextMenu">
				<li class="copy" title="copy all mob attributes except name, description, etc."><a href="#copy">Copy</a></li>
				<li class="paste" ><a href="#paste">Paste</a></li>
				<li class="cut"><a href="#cut">Cut</a></li>
				<li class="delete"><a href="#delete">Delete</a></li>
				<li class="load"><a href="#load">Load item</li>
			</ul>
		</div>
		
		<div>
			<ul id="mContextClear" class="contextMenu">
				<li class="copy"><a href="#clone">Paste (Clone)</a></li>
				<li class="paste"><a href="#move">Paste (Move)</a></li>
			</ul>
		</div>
		
	</div> <!-- end main div -->

	<div id="popup-wrapper"></div>
	
</body>
</html>